﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using static System.Runtime.InteropServices.JavaScript.JSType;

namespace CtrEditor.ObjetosSim
{
    /// <summary>
    /// Interaction logic for ucTransporteTTop.xaml
    /// </summary>
    /// 
    
    public class osTransporteTTop : osBase
    {
        private string _nombre = "Transporte TTOP";

        private double _Ancho;
        private double _Alto;
        private double _Angulo;

        public double diametro { get; set; }        
        public double Ancho { 
            get { return _Ancho; }
            set
            {
                _Ancho = value;
                OnPropertyChanged(nameof(Ancho));
            }
        }
        public double Alto {
            get { return _Alto; }
            set
            {
                _Alto = value;
                OnPropertyChanged(nameof(Alto));
            }
        }
        public double Angulo
        {
            get { return _Angulo; }
            set
            {
                _Angulo = value;
                OnPropertyChanged(nameof(Angulo));
            }
        }

        public osTransporteTTop()
        {
            Ancho = 100;
            Alto = 10;
        }

        public override void Update()
        {
            // implementation of Update method
        }
    }

    public partial class ucTransporteTTop : UserControl, IDataContainer
    {
        public osBase? Datos { get; set; }

        public ucTransporteTTop()
        {
            InitializeComponent();
        }
        public void Resize(double width, double height)
        {
            if (Datos is osTransporteTTop datos)
                datos.Ancho = width;
        }
        public void Move(double Left, double Top)
        {
            if (Datos != null)
            {
                Datos.Left = Left;
                Datos.Top = Top;
            }
        }
        public void Rotate(double Angle) { 
            if (Datos != null)
                if (Datos is osTransporteTTop datos)
                    datos.Angulo = Angle;
        }
    }
}



